package net.sf.itcb.common.portlet.portal;

import javax.portlet.PortletRequest;
import javax.servlet.ServletRequest;

import org.springframework.security.core.userdetails.UserDetails;

/**
 * This interface declares all the methods needed to be implemented by a child class in order to transform specific portal data (liferay, JBOSS...) in common spring data.
 *  
 * @author Pierre Le Roux
 */
public interface PortalAdapter {

	public UserDetails getUser(PortletRequest request);
	
	public ServletRequest getServletRequest(PortletRequest request);
	
	public String getTheme(PortletRequest request);
	
}
